Index: mccord/_design/artifacts/view/map.js
===================================================================
--- mccord/_design/artifacts/view/map.js	(revision 9330)
+++ mccord/_design/artifacts/view/map.js	(working copy)
@@ -1,5 +1,12 @@
 function (doc) {
     var artifact = doc.artifact;
+    var calculateMediaCount = function (mediafiles) {
+        if (!mediafiles || !mediafiles.mediafile) {
+            return "0";
+        }
+        var mediafile = mediafiles.mediafile;        
+        return mediafile.length ? mediafile.length.toString() : "1";                
+    };
     emit({
         'accessNumber': artifact.label.accessnumber,
         'lang': artifact.lang 
@@ -12,7 +19,7 @@
         'mention': artifact.label.mention,
         'accessnumber': artifact.label.accessnumber,
         'description': artifact.description || "",
-        'mediaCount': artifact.mediafiles ? artifact.mediafiles.mediafile.length.toString() || "0" : "0",
+        'mediaCount': calculateMediaCount(artifact.mediafiles),
         'media': artifact.mediafiles ? artifact.mediafiles.mediafile || [] : [],
         'commentsCount': artifact.comments ? artifact.comments.cnt || "0" : "0",
         'comments': artifact.comments ? artifact.comments.comment || [] : [],
Index: mccord/_design/artifacts/viewByObjectCode/map.js
===================================================================
--- mccord/_design/artifacts/viewByObjectCode/map.js	(revision 9378)
+++ mccord/_design/artifacts/viewByObjectCode/map.js	(working copy)
@@ -1,5 +1,12 @@
 function (doc) {
     var artifact = doc.artifact;
+    var calculateMediaCount = function (mediafiles) {
+        if (!mediafiles || !mediafiles.mediafile) {
+            return "0";
+        }
+        var mediafile = mediafiles.mediafile;        
+        return mediafile.length ? mediafile.length.toString() : "1";                
+    };
     emit({
         'objectCode': artifact.objectcode,
         'lang': artifact.lang 
@@ -12,7 +19,7 @@
         'mention': artifact.label.mention,
         'accessnumber': artifact.label.accessnumber,
         'description': artifact.description || "",
-        'mediaCount': artifact.mediafiles ? artifact.mediafiles.mediafile.length.toString() || "0" : "0",
+        'mediaCount': calculateMediaCount(artifact.mediafiles),
         'media': artifact.mediafiles ? artifact.mediafiles.mediafile || [] : [],
         'commentsCount': artifact.comments ? artifact.comments.cnt || "0" : "0",
         'comments': artifact.comments ? artifact.comments.comment || [] : [],
